> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Data Source



## OpenAPI

````yaml https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/data-sources/{data_source_id}
openapi: 3.1.0
info:
  title: Document Understanding API
  description: API for uploading and processing documents
  version: 0.6.0
servers: []
security:
  - ApiKey: []
    AccountId: []
tags:
  - name: Projects
    description: Operations related to project creation and management
  - name: Files
    description: Operations related to file upload and access
  - name: Parse
    description: Operations related to starting parse jobs and accessing their results
  - name: Vector Stores
    description: Operations related to vector store creation and management
  - name: Extract
    description: Operations related to starting extract jobs and accessing their results
  - name: Research
    description: Dex Research agent kickoff and results.
  - name: Jobs
    description: Operations related to monitoring jobs and their status
  - name: Data sources
    description: Project-scoped integration with the Data Sources service
  - name: Webhooks
    description: Callbacks from external services
paths:
  /v1/projects/{project_id}/data-sources/{data_source_id}:
    get:
      tags:
        - Data sources
      summary: Get Project Data Source
      operationId: >-
        get_project_data_source_v1_projects__project_id__data_sources__data_source_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: data_source_id
          in: path
          required: true
          schema:
            type: string
            title: Data Source Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataSourceEntity'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataSourceEntity:
      properties:
        id:
          type: string
          title: Id
          description: ID of the entity
        project_id:
          type: string
          title: Project Id
          description: ID of the project
        object:
          type: string
          const: data_source
          title: Object
          default: data_source
        name:
          type: string
          title: Name
        provider_type:
          type: string
          title: Provider Type
          description: >-
            Provider discriminator (e.g. sharepoint); aligned with Data Sources
            values
        data_sources_data_source_id:
          type: string
          title: Data Sources Data Source Id
          description: Remote data source id in the Data Sources service
        data_sources_subscription_id:
          type: string
          title: Data Sources Subscription Id
          description: Active subscription id in the Data Sources service
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Id
          description: Workflow triggered by this linked data source.
        workflow_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Status
          description: Status of the workflow triggered by this linked data source.
        status:
          $ref: '#/components/schemas/DataSourceStatus'
        config_metadata:
          additionalProperties: true
          type: object
          title: Config Metadata
        last_delta_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Delta Cursor
        last_event_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Event At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
      type: object
      required:
        - id
        - project_id
        - name
        - provider_type
        - data_sources_data_source_id
        - data_sources_subscription_id
        - status
        - created_at
        - updated_at
      title: DataSourceEntity
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataSourceStatus:
      type: string
      enum:
        - active
        - paused
        - disabled
        - deleted
      title: DataSourceStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    AccountId:
      type: apiKey
      in: header
      name: x-selected-account-id
      description: Selected Account ID

````